> ## Documentation Index
> Fetch the complete documentation index at: https://docs.telli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Call

> [Not recommended] Initiates an immediate call to a contact. Will call even outside business hours, which is why we recommend using schedule-call instead. If contact cannot be reached and Auto Dialer is enabled, telli will continue trying according to Auto Dialer settings.



## OpenAPI

````yaml openapi.json POST /v1/initiate-call
openapi: 3.0.3
info:
  title: telli API
  version: 1.0.0
  description: API documentation for telli's V1 endpoints
servers:
  - url: https://api.telli.com
security:
  - apiKey: []
paths:
  /v1/initiate-call:
    post:
      summary: Initiate Call
      description: >-
        [Not recommended] Initiates an immediate call to a contact. Will call
        even outside business hours, which is why we recommend using
        schedule-call instead. If contact cannot be reached and Auto Dialer is
        enabled, telli will continue trying according to Auto Dialer settings.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - contact_id
                - agent_id
              properties:
                contact_id:
                  type: string
                  format: uuid
                  description: telli contact ID of the contact to call
                agent_id:
                  type: string
                  description: Agent ID to use for the call
                max_retry_days:
                  type: number
                  description: >-
                    Optional number of days to retry the call. Defaults to the
                    account's max retry days
                override_from_number:
                  type: string
                  description: >-
                    Optional phone number to use as the caller ID. Must be a
                    valid E.164 number that belongs to the account
      responses:
        '200':
          description: Call initiated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: success
                  call_id:
                    type: string
                    format: uuid
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: 'API key must be provided as: Bearer <api_key>'
      x-bearer-format: Bearer

````